# Uses of Interface
org.eclipse.birt.report.engine.api.script.IUpdatableDataSetRow

Packages that use IUpdatableDataSetRow
Package
Description
org.eclipse.birt.report.engine.api.script.eventadapter
This package contains adapters for the event handler interfaces in org.eclipse.birt.report.engine.api.script.eventhandler.
org.eclipse.birt.report.engine.api.script.eventhandler
This package contains event handler interfaces for the BIRT scripting environment.

## Uses of IUpdatableDataSetRow in org.eclipse.birt.report.engine.api.script.eventadapter

Methods in org.eclipse.birt.report.engine.api.script.eventadapter with parameters of type IUpdatableDataSetRow
Modifier and Type
Method
Description
`boolean`
ScriptedDataSetEventAdapter.`fetch(IDataSetInstance dataSet, IUpdatableDataSetRow row)`

## Uses of IUpdatableDataSetRow in org.eclipse.birt.report.engine.api.script.eventhandler

Methods in org.eclipse.birt.report.engine.api.script.eventhandler with parameters of type IUpdatableDataSetRow
Modifier and Type
Method
Description
`boolean`
IScriptedDataSetEventHandler.`fetch(IDataSetInstance dataSet, IUpdatableDataSetRow row)`
Handle the fetch event.